Bug 579259 (perl-UNIVERSAL-ref) - Review Request: perl-UNIVERSAL-ref - Turns ref() into a multimethod
Summary: Review Request: perl-UNIVERSAL-ref - Turns ref() into a multimethod
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-UNIVERSAL-ref
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/UNIVERSAL...
Whiteboard:
Depends On:
Blocks: perl-Hash-MultiValue
TreeView+ depends on / blocked
 
Reported: 2010-04-03 17:41 UTC by Chris Weyl
Modified: 2010-04-05 04:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-05 04:57:12 UTC
iarnell: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2010-04-03 17:41:44 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-UNIVERSAL-ref.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-UNIVERSAL-ref-0.12-1.fc12.src.rpm

Description:
This module changes the behavior of the builtin function ref(). If
ref() is called on an object that has requested an overloaded ref,
the object's '->ref' method will be called and its return value
used instead.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2093234

*rt-0.10_01

Comment 1 Iain Arnell 2010-04-04 09:04:17 UTC
+ source files match upstream.  
  2fb38adfb9415721496eeb8b552cc905  UNIVERSAL-ref-0.12.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
  GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
  http://koji.fedoraproject.org/koji/taskinfo?taskID=2093234

+ package installs properly.
+ rpmlint has no serious complaints:
  perl-UNIVERSAL-ref.src: I: checking
  perl-UNIVERSAL-ref.src: W: spelling-error Summary(en_US) multimethod -> multimedia, multifaceted, multicolored
  perl-UNIVERSAL-ref.src: W: spelling-error %description -l en_US builtin -> built in, built-in, built
  perl-UNIVERSAL-ref.src: I: checking-url http://search.cpan.org/dist/UNIVERSAL-ref (timeout 10 seconds)
  perl-UNIVERSAL-ref.src: I: checking-url http://search.cpan.org/CPAN/authors/id/J/JJ/JJORE/UNIVERSAL-ref-0.12.tar.gz (timeout 10 seconds)
  perl-UNIVERSAL-ref.x86_64: I: checking
  perl-UNIVERSAL-ref.x86_64: W: spelling-error Summary(en_US) multimethod -> multimedia, multifaceted, multicolored
  perl-UNIVERSAL-ref.x86_64: W: spelling-error %description -l en_US builtin -> built in, built-in, built
  perl-UNIVERSAL-ref.x86_64: I: checking-url http://search.cpan.org/dist/UNIVERSAL-ref (timeout 10 seconds)
  perl-UNIVERSAL-ref-debuginfo.x86_64: I: checking
  perl-UNIVERSAL-ref-debuginfo.x86_64: I: checking-url http://search.cpan.org/dist/UNIVERSAL-ref (timeout 10 seconds)
  perl-UNIVERSAL-ref-tests.x86_64: I: checking
  perl-UNIVERSAL-ref-tests.x86_64: I: checking-url http://search.cpan.org/dist/UNIVERSAL-ref (timeout 10 seconds)
  perl-UNIVERSAL-ref-tests.x86_64: W: no-documentation
  4 packages and 0 specfiles checked; 0 errors, 5 warnings.

+ final provides and requires are sane:
  perl(UNIVERSAL::ref) = 0.12
  perl-UNIVERSAL-ref = 0.12-1.fc13
  perl-UNIVERSAL-ref(x86-64) = 0.12-1.fc13
=
  libc.so.6()(64bit)  
  libc.so.6(GLIBC_2.2.5)(64bit)  
  perl(B)  
  perl(B::Utils)  
  perl(B::Utils)  
  perl(:MODULE_COMPAT_5.10.1)  
  perl(strict)  
  perl(warnings)  
  perl(XSLoader)  
+ %check is present and all tests pass.
  t/basic.t .. ok
  All tests successful.
  Files=1, Tests=11,  0 wallclock secs ( 0.02 usr  0.00 sys +  0.05 cusr  0.01 csys =  0.08 CPU)
  Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


APPROVED

Comment 2 Chris Weyl 2010-04-04 16:27:28 UTC
New Package CVS Request
=======================
Package Name: perl-UNIVERSAL-ref
Short Description: Turns ref() into a multimethod
Owners: cweyl
Branches: F-11 F-12 F-13 devel
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-04-05 04:03:44 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Chris Weyl 2010-04-05 04:57:12 UTC
Thanks for the review! :-)


Note You need to log in before you can comment on or make changes to this bug.